/* Transition for "Web Dev" title taken from https://css-tricks.com/css-link-hover-effects/ */

body
{
    margin: 0;
    font-size: 1vh;
    display: flex;
}

header
{
    min-height: 10vh;
    text-align: center;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: black;
}

h1
{
    margin: 0;
    padding: 0.5vh;
    max-height: 5vh;
}

h1 a
{
    transition: color .5s ease-in-out, box-shadow .5s ease-in-out;
}

a
{
    text-decoration: none;
}

a:link
{
    color:  #ec3581;
}

a:visited
{
    color:  #ec3581;
}

h1 a:hover
{
    box-shadow: inset 20vw 0 0 0 #ec3581;
    color: white;
}

footer
{
    background-color: black;
    margin-top: auto;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
footer p
{
    padding: 1vw;
    color: white;
    text-align: center;
}